For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet all announcements
        • GETGet system config
        • GETGet portfolio margin configuration
        • GETGet system state
        • GETGet system time (unix milliseconds)
        • GETGet volume-based fee tiers
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceSystem

Get all announcements

GET
https://api.prod.paradex.trade/v1/system/announcements
GET
/v1/system/announcements
$curl https://api.prod.paradex.trade/v1/system/announcements \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "next": "eyJmaWx0ZXIiOiJ7XCJtYXJrZXJcIjpcIjE2ODQ4MDAwMDAwMDAwXCJ9In0=",
3 "prev": "eyJmaWx0ZXIiOnsiTGltaXQiOjEwMCwic3RhcnRfYXQiOjE2ODQ3OTk5MDAwMDAwLCJtYXJrZXIiOnsibXNfMjExMTAiOiJ2YWx1ZSJ9fQ==",
4 "results": [
5 {
6 "content": "We have updated our trading fees effective from May 1, 2024. Please review the new fee schedule on our website.",
7 "expiry_at": 1714588800000,
8 "kind": "UPDATE",
9 "notification_expiry_at": 1714502400000,
10 "title": "Trading Fee Update",
11 "visible_at": 1711891200000
12 }
13 ]
14}
get announcements
Was this page helpful?
Previous

Get system config

Next
Built with

Query parameters

cursorstringOptional

Returns the ‘next’ paginated page.

end_atintegerOptional

End Time (unix time millisecond)

page_sizeintegerOptional1-5000Defaults to 100
Limit the number of responses in the page
start_atintegerOptional

Start Time (unix time millisecond)

Response

OK
nextstring

The pointer to fetch next set of records (null if there are no records left)

prevstring

The pointer to fetch previous set of records (null if there are no records left)

resultslist of objects
Array of paginated results

Errors

400
Bad Request Error
500
Internal Server Error